<!DOCTYPE html>
<html>

<head>
  <title> Task 35.10 - Load All Users</title>
  <meta charset="UTF-8">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container p-4 text-center">
    <h3><b>Danh Sách người dùng </b></h3>
    <!-- TODO 1: Thêm 1 dòng mới thủ công ở table trên (thêm thủ công  bằng HTML) -->
    <table id="table-users" class="table table-bordered table-striped table-hover">
      <thead class="table table-bordered bg-info text-white">
        <!-- phần head, dòng tiêu đề  của bảng -->
        <tr style="font-weight:bold;">
          <td> Id </td>
          <td> Name </td>
          <td> Username </td>
          <td> Email</td>
          <td> Address </td>
          <td> Zip code</td>
          <td> Phone</td>
          <td> Company</td>
          <td> Action</td>
        </tr>
      </thead>
      <tbody  id="tbody-users">
        <!-- phần dữ liệu của bảng -->

      </tbody>
    </table>

<script>
     
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
 
      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  $(document).ready(function(){
    onPageLoading();
  } );
      /*** REGION 3- ***/
  function onPageLoading(){
    console.log("Load Page .........");
    $.ajax({
            url: "https://jsonplaceholder.typicode.com/users/" ,
            type: "GET",
            dataType: "json",
            success: function (resAllUsers) {
                console.log(resAllUsers);
                showTableUsers(resAllUsers);
                $(".btn-detail").on("click", function () {
                   onBtnDetailClick(this);
                });
            },
            error: function (ajaxContext) {
                console.log(ajaxContext.responseText);
            },
        });
  }
  function onBtnDetailClick(paramButton){
    console.log("Id của nó là:" +$(paramButton).data("id"));
    window.location.href="UserDetails.html"+"?id=" +$(paramButton).data("id");
  }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function showTableUsers(paramResAllUsers){
    for (var bI=0; bI<paramResAllUsers.length; bI++){
      var bRow=""                                 // tạo 1 Element rỗng
      bRow+="<tr>";                               //tạo 1 hàng rổng add vào Elements
      bRow+="<td>"+paramResAllUsers[bI].id+"</td>";
      bRow+="<td>"+paramResAllUsers[bI].name+"</td>";
      bRow+="<td>"+paramResAllUsers[bI].username+"</td>";
      bRow+="<td>"+paramResAllUsers[bI].email+"</td>";
      bRow+="<td>"+paramResAllUsers[bI].address.suite+","+paramResAllUsers[bI].address.street+","+paramResAllUsers[bI].address.city+ "</td>";
      bRow+="<td>"+paramResAllUsers[bI].address.zipcode+"</td>";
      bRow+="<td>"+paramResAllUsers[bI].phone+"</td>";
      bRow+="<td>"+paramResAllUsers[bI].company.name+"</td>";
      bRow+="<td>"+ "<button class='btn btn-success btn-detail' data-id ='"+paramResAllUsers[bI].id+"' >Chi Tiết</button>"+"</td";

      $("#tbody-users").append(bRow);
    }
  }
      
</script>

</body>

</html>